1.0

1.0

get /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Get Auto-Scaling Group schedule list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryfrequency
optional
Frequency
Example : WEEKLY
any of [enum (ONCE, DAILY, WEEKLY, MONTHLY), null]None

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupScheduleListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "schedules": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "day_of_month": "-1,1",
            "day_of_week": "SU,SA",
            "description": "description",
            "desired_server_count": 1,
            "end_date": "2025-01-01",
            "frequency": "WEEKLY",
            "hour": 9,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "max_server_count": 2,
            "min_server_count": 1,
            "minute": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "schedulename",
            "start_date": "2024-01-01",
            "state": "ACTIVE",
            "timezone": "Asia/Seoul"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}